
INCLUDEPATH += ../SFML/include
INCLUDEPATH += ../angelscript_2.22.0/angelscript/include
INCLUDEPATH += ../angelscript_2.22.0/add_on
INCLUDEPATH += ../box2d-latest-dont-change/Box2D

debug {
    LIBS += -L"../SFML/lib"
    LIBS += -lsfml-system \
            -lsfml-window \
            -lsfml-graphics \
            -lsfml-audio \
            -lOpengl32 \
            -lglu32
    LIBS += ../angelscript_2.22.0/angelscript/lib/libAngelscript.a
    LIBS += ../box2d-latest-dont-change/Box2D/Build/Box2D/libBox2D.a
}

release {
    LIBS += -L"../SFML/lib"
    LIBS += -lsfml-system \
            -lsfml-window \
            -lsfml-graphics \
            -lsfml-audio \
            -lOpengl32 \
            -lglu32
    LIBS += ../angelscript_2.22.0/angelscript/lib/libAngelscript.a
    LIBS += ../box2d-latest-dont-change/Box2D/Build/Box2D/libBox2D.a
}

HEADERS += \
    Entity.h \
    Log.h \
    utils.h \
    scripting.h \
    Game.h \
    sound.h \
    ScreenLog.h \
    b2dJson.h \
    json/json-forwards.h \
    json/json.h \
    settings.h \
    DebugDraw.h \
    userdata.h \
    poly2tri/poly2tri.h \
    poly2tri/common/utils.h \
    poly2tri/common/shapes.h \
    poly2tri/sweep/sweep_context.h \
    poly2tri/sweep/sweep.h \
    poly2tri/sweep/cdt.h \
    poly2tri/sweep/advancing_front.h

SOURCES += \
    ../angelscript_2.22.0/add_on/scriptstdstring/scriptstdstring.cpp \
    ../angelscript_2.22.0/add_on/scriptbuilder/scriptbuilder.cpp \
    Window.cpp \
    Entity.cpp \
    Log.cpp \
    utils.cpp \
    scripting.cpp \
    Game.cpp \
    sound.cpp \
    ScreenLog.cpp \
    jsoncpp.cpp \
    b2dJson.cpp \
    settings.cpp \
    DebugDraw.cpp \
    userdata.cpp \
    poly2tri/common/shapes.cc \
    poly2tri/sweep/sweep_context.cc \
    poly2tri/sweep/sweep.cc \
    poly2tri/sweep/cdt.cc \
    poly2tri/sweep/advancing_front.cc

OTHER_FILES += \
    ../run/Entity.as


















